Subject: Re: bug#61196: 30.0.50; X11 rendering of horizontal line in log-edit mode fails with some fonts

From: Po Lu <[email-masked]>
Date: Wed, 01 Feb 2023 11:42:27 +0800

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> Date: Wed, 01 Feb 2023 09:29:08 +0800
>> From:  Po Lu via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> When I last investigated this problem (I use the X core font backend all
>> the time), it was that X fonts typically have no glyph for the newline
>> character, which Emacs seems to expect.
>
> No, Emacs doesn't use the glyph for newline.  It starts a new screen
> line instead.  But that requires the default face to have a valid
> font, AFAIU.

Well, when I made xfont_has_char and xfont_encode_char return a working
glyph for newline, that started working as expected.

But it's been so long that I've forgotten the details.